package com.muyu.fault.common;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "falut_notify",autoResultMap = true)
public class FalutNotify {
    /**
     * ID
     */
    @TableId(value = "falutNotifyId", type= IdType.AUTO)
    @Schema(defaultValue = "ID",type = "Long",description = "ID")
    private Long falutNotifyId;
    /**
     * 通知方
     */
    @Schema(defaultValue = "通知方",type = "String",description = "通知方")
    private String falutNotifyParty;
    /**
     * 联系方式
     */
    @Schema(defaultValue = "联系方式",type = "String",description = "联系方式")
    private String falutNotifyManner;
}
