package com.muyu.fault.common;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "falut_type",autoResultMap = true)
public class FalutType {
    /**
     * 故障类型ID
     */
    @TableId(value = "faultTypeId", type= IdType.AUTO)
    @Schema(defaultValue = "故障类型ID",type = "Long",description = "故障类型ID")
    private Long faultTypeId;
    /**
     * 故障类型名称
     */
    @Schema(defaultValue = "故障类型名称",type = "String",description = "故障类型名称")
    private String faultTypeName;
    /**
     * 故障类型描述
     */
    @Schema(defaultValue = "故障类型描述",type = "String",description = "故障类型描述")
    private String faultTypeDescription;
}
