package com.muyu.car.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName(value = "t_template")
public class CarTemplate {

    /**
     * 报文模版表
     */
    @TableId(value = "template_id",type = IdType.AUTO)
    private Integer templateId;
    /**
     * 报文模版名称
     */
    private String templateName;
    /**
     * 报文模版描述
     */
    private String templateDescribe;
    /**
     * 备注
     */
    private String remark;

}
